using Plus.Communication.Packets.Outgoing.Moderation;
using Plus.Communication.Packets.Outgoing.Rooms.Notifications;
using Plus.HabboHotel.GameClients;
using System;
namespace Plus.HabboHotel.Rooms.Chat.Commands.Events
{
    internal class EventAlertCommand : IChatCommand
    {
        public string PermissionRequired
        {
            get
            {
                return "command_event_alert";
            }
        }
        public string Parameters
        {
            get
            {
                return "";
            }
        }
        public string Description
        {
            get
            {
                return "Lancer une animation!";
            }
        }
        public void Execute(GameClients.GameClient Session, Rooms.Room Room, string[] Params)
        {
            if (Params.Length == 1)
            {
                Session.SendWhisper(":eventalert + description.");
                return;
            }

            string Message = CommandManager.MergeParams(Params, 1);
            PlusEnvironment.GetGame().GetClientManager().SendMessage(new RoomNotificationComposer("Proposition d'animation",
                 "<b>" + Session.GetHabbo().Username + " vous propose une animation !</b>\n" +
                 "L'animation se déroule chez : <b> <font color=\"#F89406\">" + Room.OwnerName + "</font></b>\n\nDépêche toi de participer avant que l'appart ne soit fermé!\r" +
                 "<b>Plus de détails: </b>" + Message + "\n\n", "anim2", "Rejoindre l'animation", "event:navigator/goto/" + Session.GetHabbo().CurrentRoom.RoomId + ""));
            
            return;
        }
    }
}